## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           systemc
Version:        3.0.0_pub_rev_20231129
Release:        %autorelease
Summary:        SystemC Reference Implementation 
License:        Apache-2.0
URL:            https://systemc.org/overview/systemc
Source:         https://github.com/accellera-official/systemc/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gcc-g++

Patch0:         0001-Add-DEVELOPMENT.md.patch
Patch1:         0002-Remove-RPATH.patch

%description
SystemC addresses the need for a system design and verification language 
that spans hardware and software. It is a language built as an ANSI C++ class 
library created for design and verification. Users worldwide are applying 
SystemC to system-level modeling, abstract analog/mixed-signal modeling,
architectural exploration, performance modeling, software development,
functional verification, and high-level synthesis. The SystemC API
and its semantics are developed by the Accellera Systems Initiative
and formally standardized and governed by the IEEE 
in the IEEE Std. 1666-2023 standard.

%prep
%autosetup -p1

%build
%cmake  \
    -G Ninja    \
    -D BUILD_SHARED_LIBS=ON \
    -D ENABLE_EXAMPLES=ON   \
    -D ENABLE_REGRESSION=ON \
    -D CMAKE_BUILD_TYPE=RelWithDebInfo  \
    -D CMAKE_INSTALL_PREFIX=%{_prefix}  \
    -D ENABLE_PTHREADS=ON   \
    -D CMAKE_CXX_STANDARD=17    \
    -D CMAKE_INSTALL_FULL_LIBDIR=%{_libdir}

%cmake_build

%install
%cmake_install

# Remove cmake files

# Remove extra debug file
rm -rf %{_libdir}/debug/%{_libdir}/libsystemc.so.*

%files
%license LICENSE
%doc %{_datadir}/doc/systemc
%{_includedir}/sysc
%{_includedir}/systemc*
%{_includedir}/tlm*
%{_libdir}/libsystemc.so*
%{_libdir}/cmake/SystemC*

%changelog
## START: Generated by rpmautospec
* Sun Mar 24 2024 John Doe <packager@example.com> - 3.0.0_pub_rev_20231129-1
- Uncommitted changes
## END: Generated by rpmautospec
